# pos2id table
# その他: a
# フィラー: b
# 感動詞: c
# 記号: d
# 形容詞: e
# 助詞: f
# 助動詞: g
# 接続詞: h
# 接頭詞: i
# 動詞: j
# 副詞: k
# 名詞: l
# 連体詞: m
# *: 0

pos2id = {
    # mecab output
    "その他-間投-*-*": "aa00",
    "フィラー-*-*-*": "b000",
    "感動詞-*-*-*": "c000",
    "記号-アルファベット-*-*": "da00",
    "記号-一般-*-*": "db00",
    "記号-括弧開-*-*": "dc00",
    "記号-括弧閉-*-*": "dd00",
    "記号-句点-*-*": "de00",
    "記号-空白-*-*": "df00",
    "記号-読点-*-*": "dg00",
    "形容詞-自立-*-*": "ea00",
    "形容詞-接尾-*-*": "eb00",
    "形容詞-非自立-*-*": "ec00",
    "助詞-格助詞-一般-*": "faa0",
    "助詞-格助詞-引用-*": "fab0",
    "助詞-格助詞-連語-*": "fac0",
    "助詞-係助詞-*-*": "fb00",
    "助詞-終助詞-*-*": "fc00",
    "助詞-接続助詞-*-*": "fd00",
    "助詞-特殊-*-*": "fe00",
    "助詞-副詞化-*-*": "ff00",
    "助詞-副助詞-*-*": "fg00",
    "助詞-副助詞／並立助詞／終助詞-*-*": "fh00",
    "助詞-並立助詞-*-*": "fi00",
    "助詞-連体化-*-*": "fj00",
    "助動詞-*-*-*": "g000",
    "接続詞-*-*-*": "h000",
    "接頭詞-形容詞接続-*-*": "ia00",
    "接頭詞-数接続-*-*": "ib00",
    "接頭詞-動詞接続-*-*": "ic00",
    "接頭詞-名詞接続-*-*": "id00",
    "動詞-自立-*-*": "ja00",
    "動詞-接尾-*-*": "jb00",
    "動詞-非自立-*-*": "jc00",
    "副詞-一般-*-*": "ka00",
    "副詞-助詞類接続-*-*": "kb00",
    "名詞-サ変接続-*-*": "la00",
    "名詞-ナイ形容詞語幹-*-*": "lb00",
    "名詞-一般-*-*": "lc00",
    "名詞-引用文字列-*-*": "ld00",
    "名詞-形容動詞語幹-*-*": "le00",
    "名詞-固有名詞-一般-*": "lfa0",
    "名詞-固有名詞-人名-一般": "lfba",
    "名詞-固有名詞-人名-姓": "lfbb",
    "名詞-固有名詞-人名-名": "lfbc",
    "名詞-固有名詞-組織-*": "lfc0",
    "名詞-固有名詞-地域-一般": "lfda",
    "名詞-固有名詞-地域-国": "lfdb",
    "名詞-数-*-*": "lg00",
    "名詞-接続詞的-*-*": "lh00",
    "名詞-接尾-サ変接続-*": "lia0",
    "名詞-接尾-一般-*": "lib0",
    "名詞-接尾-形容動詞語幹-*": "lic0",
    "名詞-接尾-助数詞-*": "lid0",
    "名詞-接尾-助動詞語幹-*": "lie0",
    "名詞-接尾-人名-*": "lif0",
    "名詞-接尾-地域-*": "lig0",
    "名詞-接尾-特殊-*": "lih0",
    "名詞-接尾-副詞可能-*": "lii0",
    "名詞-代名詞-一般-*": "lja0",
    "名詞-代名詞-縮約-*": "ljb0",
    "名詞-動詞非自立的-*-*": "ll00",
    "名詞-特殊-助動詞語幹-*": "lma0",
    "名詞-非自立-一般-*": "lna0",
    "名詞-非自立-形容動詞語幹-*": "lnb0",
    "名詞-非自立-助動詞語幹-*": "lnc0",
    "名詞-非自立-副詞可能-*": "lnd0",
    "名詞-副詞可能-*-*": "lo00",
    "連体詞-*-*-*": "m000",

    # level 3
    "助詞-格助詞-一般": "faa0",
    "助詞-格助詞-引用": "fab0",
    "助詞-格助詞-連語": "fac0",
    "名詞-固有名詞-一般": "lfa0",
    "名詞-固有名詞-組織": "lfc0",
    "名詞-接尾-サ変接続": "lia0",
    "名詞-接尾-一般": "lib0",
    "名詞-接尾-形容動詞語幹": "lic0",
    "名詞-接尾-助数詞": "lid0",
    "名詞-接尾-助動詞語幹": "lie0",
    "名詞-接尾-人名": "lif0",
    "名詞-接尾-地域": "lig0",
    "名詞-接尾-特殊": "lih0",
    "名詞-接尾-副詞可能": "lii0",
    "名詞-代名詞-一般": "lja0",
    "名詞-代名詞-縮約": "ljb0",
    "名詞-特殊-助動詞語幹": "lma0",
    "名詞-非自立-一般": "lna0",
    "名詞-非自立-形容動詞語幹": "lnb0",
    "名詞-非自立-助動詞語幹": "lnc0",
    "名詞-非自立-副詞可能": "lnd0",

    # level 3 regexp
    "名詞-固有名詞-人名": r"lfb\w",
    "名詞-固有名詞-地域": r"lfd\w",

    # level 2
    "その他-間投": "aa00",
    "記号-アルファベット": "da00",
    "記号-一般": "db00",
    "記号-括弧開": "dc00",
    "記号-括弧閉": "dd00",
    "記号-句点": "de00",
    "記号-空白": "df00",
    "記号-読点": "dg00",
    "形容詞-自立": "ea00",
    "形容詞-接尾": "eb00",
    "形容詞-非自立": "ec00",
    "助詞-係助詞": "fb00",
    "助詞-終助詞": "fc00",
    "助詞-接続助詞": "fd00",
    "助詞-特殊": "fe00",
    "助詞-副詞化": "ff00",
    "助詞-副助詞": "fg00",
    "助詞-副助詞／並立助詞／終助詞": "fh00",
    "助詞-並立助詞": "fi00",
    "助詞-連体化": "fj00",
    "接頭詞-形容詞接続": "ia00",
    "接頭詞-数接続": "ib00",
    "接頭詞-動詞接続": "ic00",
    "接頭詞-名詞接続": "id00",
    "動詞-自立": "ja00",
    "動詞-接尾": "jb00",
    "動詞-非自立": "jc00",
    "副詞-一般": "ka00",
    "副詞-助詞類接続": "kb00",
    "名詞-サ変接続": "la00",
    "名詞-ナイ形容詞語幹": "lb00",
    "名詞-一般": "lc00",
    "名詞-引用文字列": "ld00",
    "名詞-形容動詞語幹": "le00",
    "名詞-数": "lg00",
    "名詞-接続詞的": "lh00",
    "名詞-動詞非自立的": "ll00",
    "名詞-副詞可能": "lo00",

    # level 2 regex
    "助詞-格助詞": r"fa\w\d",
    "名詞-固有名詞": r"lf\w{2}",
    "名詞-接尾": r"li\w\d",
    "名詞-代名詞": r"lj\w\d",
    "名詞-非自立": r"ln\w\d",

    # level 1
    "その他": "aa00",
    "フィラー": "b000",
    "感動詞": "c000",
    "助動詞": "g000",
    "接続詞": "h000",
    "連体詞": "m000",

    # level 1 regexp
    "記号": r"d\w\d{2}",
    "形容詞": r"e\w\d{2}",
    "助詞": r"f\w{2}\d",
    "接頭詞": r"i\w\d{2}",
    "動詞": r"j\w\d{2}",
    "副詞": r"k\w\d{2}",
    "名詞": r"l\w{3}"
}
